/**
 * Returns `true` if `value` is a valid JWT.
 *
 * JWTs contain three [Base64URL-encoded][base64url] sections separated by periods (`.`).
 *
 * [base64url]: https://base64.guru/standards/base64url
 */
export declare const isValidJWT: (value?: unknown) => value is string;
